summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Stenberg <daniel@haxx.se>2017-08-10 08:46:41 +0200
committerDaniel Stenberg <daniel@haxx.se>2017-08-10 08:46:41 +0200
commit6d381852eecb876372f59a63609f1e8625b06e53 (patch)
tree2e46de25f42eff6462f8ca3323921e1a0e7b73c4
parentf1f91740391cbfab460fa81c8bb80f79fbe663b2 (diff)
downloadcurl-bagder/travis-test-install.tar.gz
installcheck.sh: check the return code from the second diff toobagder/travis-test-install
... and display a message if it triggers.
-rw-r--r--scripts/installcheck.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/installcheck.sh b/scripts/installcheck.sh
index 2194da2ee..5d800cfb7 100644
--- a/scripts/installcheck.sh
+++ b/scripts/installcheck.sh
@@ -13,8 +13,13 @@ fi
diff -u <(find docs/libcurl/ -name "*.3" -printf "%f\n" | grep -v template| sort) <(find $PREFIX/share/man/ -name "*.3" -printf "%f\n" | sort)
if test "$?" -ne "0"; then
- echo "ERROR: libcurl docs mismatch"
+ echo "ERROR: installed libcurl docs mismatch"
exit
fi
diff -u <(find include/ -name "*.h" -printf "%f\n" | sort) <(find $PREFIX/include/ -name "*.h" -printf "%f\n" | sort)
+
+if test "$?" -ne "0"; then
+ echo "ERROR: installed include files mismatch"
+ exit
+fi